> ## Name

> cgGetNextPass - iterate through the passes in a technique

> ## Synopsis

>     #include <Cg/cg.h>

>     CGpass cgGetNextPass( CGpass pass );

> ## Parameters

> pass
>   The current pass.

> ## Return Values

> Returns the next pass in the technique's internal sequence of passes.

> Returns NULL when pass is the last pass in the technique.

> ## Description

> The passes within a technique can be iterated over using cgGetNextPass.

> Passes are returned in the order defined in the technique.

> ## Examples

>     CGpass pass = cgGetFirstPass( technique );
>     while( pass )
>     {
>       /* do something with pass */
>       pass = cgGetNextPass( pass );
>     }

> ## Errors

> CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

> ## History

> cgGetNextPass was introduced in Cg 1.4.

> ## See Also

> cgGetFirstPass, cgGetNamedPass, cgIsPass